svn::Entry Class Reference

`#include <entry.hpp>`

## Public Member Functions

| Entry (const svn_wc_entry_t *src=0)
| Entry (const Entry &src)
virtual | ~Entry ()
bool | isValid () const
const char * | name () const
svn_revnum_t | revision () const
const char * | url () const
const char * | repos () const
const char * | uuid () const
svn_node_kind_t | kind () const
svn_wc_schedule_t | schedule () const
bool | isCopied () const
bool | isDeleted () const
bool | isAbsent () const
const char * | copyfromUrl () const
svn_revnum_t | copyfromRev () const
const char * | conflictOld () const
const char * | conflictNew () const
const char * | conflictWrk () const
const char * | prejfile () const
apr_time_t | textTime () const
apr_time_t | propTime () const
const char * | checksum () const
svn_revnum_t | cmtRev () const
apr_time_t | cmtDate () const
const char * | cmtAuthor () const
| operator svn_wc_entry_t * () const
Entry & | operator= (const Entry &)

## Detailed Description

C++ API for Subversion. This class wraps around svn_wc_entry_t.

## Constructor & Destructor Documentation

svn::Entry::Entry | ( | const svn_wc_entry_t * | src = `0` | ) |

default constructor. if src is set, copy its contents.

If src is not set (=0) this will be a non-versioned entry. This can be checked later with isValid ().

Parameters

  src | another entry to copy from

svn::Entry::Entry | ( | const Entry & | src | ) |

copy constructor

virtual svn::Entry::~Entry | ( |  | ) |

virtual

destructor

## Member Function Documentation

const char* svn::Entry::checksum | ( |  | ) | const

inline

Returns
  base64 encoded checksum

Return values

  NULL | for backwards compatibility

const char* svn::Entry::cmtAuthor | ( |  | ) | const

inline

Returns
  last commit author of this file

apr_time_t svn::Entry::cmtDate | ( |  | ) | const

inline

Returns
  last date this was changed

svn_revnum_t svn::Entry::cmtRev | ( |  | ) | const

inline

Returns
  last revision this was changed

const char* svn::Entry::conflictNew | ( |  | ) | const

inline

Returns
  new version of conflicted file

const char* svn::Entry::conflictOld | ( |  | ) | const

inline

Returns
  old version of conflicted file

const char* svn::Entry::conflictWrk | ( |  | ) | const

inline

Returns
  working version of conflicted file

svn_revnum_t svn::Entry::copyfromRev | ( |  | ) | const

inline

Returns
  copyfrom revision

const char* svn::Entry::copyfromUrl | ( |  | ) | const

inline

Returns
  copyfrom location

bool svn::Entry::isAbsent | ( |  | ) | const

inline

Returns
  true if deleted

bool svn::Entry::isCopied | ( |  | ) | const

inline

Returns
  TRUE if copied

bool svn::Entry::isDeleted | ( |  | ) | const

inline

Returns
  true if deleted

bool svn::Entry::isValid | ( |  | ) | const

inline

returns whether this is a valid=versioned entry.

Returns
  is entry valid

Return values

  true | valid entry
  false | invalid or unversioned entry

svn_node_kind_t svn::Entry::kind | ( |  | ) | const

inline

Returns
  node kind (file, dir, ...)

const char* svn::Entry::name | ( |  | ) | const

inline

Returns
  entry's name

svn::Entry::operator svn_wc_entry_t * | ( |  | ) | const

inline

Returns
  svn_wc_entry_t for this class

Entry& svn::Entry::operator= | ( | const Entry & |  | ) |

assignment operator

const char* svn::Entry::prejfile | ( |  | ) | const

inline

Returns
  property reject file

apr_time_t svn::Entry::propTime | ( |  | ) | const

inline

Returns
  last up-to-date time for properties

Return values

  0 | no information available

const char* svn::Entry::repos | ( |  | ) | const

inline

Returns
  canonical repository url

svn_revnum_t svn::Entry::revision | ( |  | ) | const

inline

Returns
  base revision

svn_wc_schedule_t svn::Entry::schedule | ( |  | ) | const

inline

Returns
  scheduling (add, delete, replace)

apr_time_t svn::Entry::textTime | ( |  | ) | const

inline

Returns
  last up-to-date time for text contents

Return values

  0 | no information available

const char* svn::Entry::url | ( |  | ) | const

inline

Returns
  url in repository

const char* svn::Entry::uuid | ( |  | ) | const

inline

Returns
  repository uuid

The documentation for this class was generated from the following file:

- entry.hpp